#include <bits/stdc++.h>
using namespace std;

int main(){
ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
long long n, m; cin >> n >> m;
long long a[n][m];
for ( int i = 0; i < n; i++ ){
    for ( int j = 0; j < m; j++ ){
        cin >> a[i][j];
    }
}
long long q; cin >> q;
while ( q-- ){
    int x, y; cin >> x >> y;
    long long s = 0;
    for ( int i = 0; i < n; i++ ){
        s += a[i][0];
    }
    for ( int j = 0; j < m; j++ ){
        s+= a[n-1][j];
    }
    s -= a[n-1][0];
    cout << s << endl;
} 
return 0;
}